#!/bin/sh
#
#----------------------------------------------------------------------------
# /tmp/preinstall
#
# Creation:    25.06.2005 th
# Last change: 30.07.2021 OJae
#
# Copyright (c) 2004-2005 Torsten Hoellermann <torsten(at)hoellie(dot)de>
# Copyright (c) 2016-2021 Olaf Jaehrling
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------
#
# including eislibs
. /var/install/include/eislib

#mecho --info "running preinstall"
# checking for update
#if [ `/var/install/bin/check-version openvpn2` != "not-installed" ]
#then
#  # check if process is running
#  checkproc /usr/sbin/openvpn
#  if [ $? = 0 ] 
#  then
#    # stop running openvpn2 process
#    mecho -warn "OpenVPN must be stopped for update"
#    /etc/init.d/openvpn2 stop
#  fi
#fi

VERSION=`/var/install/bin/check-version openvpn2 0.0.6`
if [ "$VERSION" = "installed" -o "$VERSION" = "new" ]
then
    >/var/install/deinstall/openvpn2
    tar cfPj /tmp/openvpn_usr_folder.tar.bz2 /usr/local/openvpn
    tar cfPj /tmp/openvpn_etc_folder.tar.bz2 /etc/openvpn 
    mecho --warn "older paket version than 0.0.7 was installed. I hope all your Data are saved."
    mecho --warn "setup has backuped your data for /usr/local/openvpn to /tmp/openvpn_usr_folder.tar.bz2"
    mecho --warn "and /etc/openvpn to /tmp/openvpn_etc_folder.tar.bz2"
    mecho --warn "If you wish to make a own backup break this installation with Strg-C now"
    anykey
fi

# Wenn eine Installation vorhanden ist werden die Zertifikate gesichert
if [ -f /etc/config.d/openvpn2 ]
then
    echo "found previous installation. Save all Certs to"
    echo "/root/openvpn-zertifikate-`/bin/date +%F`.tgz"
    tar cfzP /root/openvpn-zertifikate-`/bin/date +%F`.tgz /usr/local/openvpn/keys/ >/dev/null 2>&1
    sleep 1
fi

## fuer pushed routes
installed_openvpn2=`/var/install/bin/check-version openvpn2 1.0.1`
if [ "$installed_openvpn2" = "new" ]
then
    touch /tmp/oldovpn
fi

rm -f /etc/rc2.d/S66openvpn2
rm -f /etc/rc2.d/K34openvpn2

### Ab hier jetzt stop, da bei einer Installation ueber 
### openvpn die Verbindung abbrechen wuerde

exit 0

